Subject: RE: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Drew Adams <[email-masked]>
Date: Wed, 20 Nov 2019 16:41:11 -0800 (PST)

> > But we do.  I mentioned library `zoom-frm.el'.  And
> > any of that code or similar could be added to vanilla
> > Emacs.  I encourage its addition.  Letting C-x C-+,
> > C-x C-=, C-x C--, C-x C-0 zoom either a frame or a
> > buffer is a plus, with no minus.
> 
> It would be useful if you could rework that into a patch.  I think
> there would be interest for having such a feature in Emacs.

I could.  But frankly I've pretty much had it
with spending time on patches, just to have
them ignored or dismissed summarily.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37417#11

I'm afraid I'd now have to have some indication
that a patch would be applied, before I'd waste
more time preparing one.

___

FYI: A patch for what zoom-frm.el offers would
need to include functions `enlarge-font' and
its helper function `frcmds-enlarged-font-name',
both from my library `frame-cmds.el'.  Or just
the alternative version of `enlarge-font' there
(in a comment), which uses `set-face-attribute'.

https://www.emacswiki.org/emacs/download/frame-cmds.el